Bug 237453 - Xenstored slowing system down even with paused domains
Summary: Xenstored slowing system down even with paused domains
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xen   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-23 10:28 UTC by Adam Huffman
Modified: 2008-02-27 00:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 00:06:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Huffman 2007-04-23 10:28:39 UTC
Description of problem:

This morning I have found my machine to be very slow and it seems xenstored is
the culprit.  I have two active domUs so I paused them via virt-manager to see
if that would alleviate the problem but it doesn't seem to have made much
difference.  System load is currently 4 and all disk I/O operations are very slow.

Version-Release number of selected component (if applicable):
xen-3.0.3-8.fc6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The Linux domU is using LVM partitions, the other one is using file-backed
storage in /var/lib/xen/images

Comment 1 Daniel Berrange 2007-04-23 12:03:09 UTC
Known problem reported upstream:

http://lists.xensource.com/archives/html/xen-devel/2006-10/msg00487.html

Not aware of any current work to re-writing XenStored to not suck yet :-(


Comment 2 Daniel Berrange 2007-04-25 19:44:45 UTC
The performance problems are even worse  in Xen 3.0.5   

http://lists.xensource.com/archives/html/xen-devel/2007-04/msg00663.html 

I am experimenting with ways to address it....


Comment 3 Chris Lalancette 2008-02-27 00:06:16 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.